API-krav 2019 nu på nivå 28 för Android 9 Pie

API-krav 2019 nu på nivå 28 för Android 9 Pie

Android Q är nu en del av ryktfabriken men innan den nya Android-efterrätten serveras eller förhandsgranskas är vi intresserade av att veta mer om de andra uppgraderingarna som finns tillgängliga för Google Play i allmänhet. API-beteenden förändras ständigt och som sådan kan de främja Andros integritet och säkerhet. Ett antal förbättringar görs för att ytterligare förbättra olika användarupplevelser. Minne- och batterianvändning sätts nu i fokus så att fler mobilkonsumenter kan få ut det mesta av en smartphone.

Från inriktning på API-nivå 26 (Android 8.0) kan Android-användare nu dra nytta av fler API: er. Det finns nyare API: er som ger stora integritets- och säkerhetsfördelar. I 2019 ändras vissa krav på Google Play vilket kan innebära att appdistribution också kommer att ändras.

I augusti 2019 måste nya appar rikta in sig på API-nivå 28 (Android 9) eller högre. Befintliga appar måste uppdateras och sedan rikta in sig på samma nivå senast i november. Appar som inte längre uppdateras påverkas inte heller.

När det gäller de appar som distribueras via andra butiker (inte via Play Store) måste dessa andra OEM-enheter åtminstone rikta in sig på API-nivå 26 (Android 8.0). Genom att göra detta kommer appens ekosystems säkerhet att förbättras.

Du förstår att de flesta skadliga program eller spionprogram (cirka 95%) har visat sig använda API-nivå 22 eller lägre. De används avsiktligt så att de kan undvika körtidstillstånd. Inom en snar framtid kommer Google Play Protect att varna användare när appar från en extern källa inte riktar sig till den nödvändiga API-nivån.

KÄLLA: Android Developers Blog